<?php
defined('APPLICATION_PATH') or define('APPLICATION_PATH', realpath(dirname(__FILE__)));
defined('APPLICATION_STATE') or define('APPLICATION_STATE', 'development');
defined('LIB_PATH') or define('LIB_PATH',realpath(dirname(APPLICATION_PATH)."../lib"));
// lib klasörümüzü include pathe eklememiz gerekiyorki gerekli Zend siniflari yüklenirken sorun yasamiyalim.
set_include_path(LIB_PATH. PATH_SEPARATOR .get_include_path());

//tüm Zend siniflarinin otomatikmen yüklenmesi icin Autoloader i aktif hale getiriyoruz, bunu yapmassaniz heryerde require_once yada include kullanmaniz gerekecek
require_once('Zend/Loader.php');
Zend_Loader::registerAutoload();

require_once LIB_PATH.'/plugins/Initializer.php';

// front controller objesini olusturalim 
$front = Zend_Controller_Front::getInstance();
//ayar Pluginini kayit edelim 
$front -> registerPlugin(new Kitapcik_Plugin_Initializer(APPLICATION_STATE,APPLICATION_PATH));
$front -> addControllerDirectory(APPLICATION_PATH . '/controllers');
$front -> throwExceptions(false);

$front -> dispatch();